Bug Hunting Session
Bug 93451 - Menu-Icons are always hidden
Summary: Menu-Icons are always hidden
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-08-15 12:07 UTC by karsten.henning
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karsten.henning 2015-08-15 12:07:33 UTC
If I want to activate the menu icons, it works after them for the whole time of the session. After an LO-restart the option stands in hidden and the menu icons are not displayed. I must activate this option every time again.

It don't work in Linux-Version Ubuntu x86, Kubuntu x86-64.
But it works in Windows 7!
Comment 1 tommy27 2015-08-15 13:15:33 UTC
how do you activate that option? would you please post a screenshot of the "bug in action" ?
Comment 2 Cor Nouws 2015-08-15 13:17:42 UTC
Thanks for filing the issue Karsten. 
I can confirm the problem on 32 Bits Ubuntu.

Cheers - Cor
Comment 3 Cor Nouws 2015-08-15 13:18:39 UTC
@tommy: Tools > Options > LibreOffice > View

(is already a problem in 5.0.0.5 I see now, maybe earlier..)
Comment 4 Cor Nouws 2015-08-15 13:18:49 UTC
.
Comment 5 Cor Nouws 2015-08-15 13:24:07 UTC
already problem in 5.0.0 RC1, maybe earlier
Comment 6 Matthew Francis 2015-08-15 14:06:55 UTC
This appears to have begun at the below commit.
Adding Cc: to mstahl@redhat.com; Could you possibly take a look at this one? Thanks

    commit 765f6211b1371c1e40de386e715de6b3d1a8df86
    Author:     Michael Stahl <mstahl@redhat.com>
    AuthorDate: Wed Mar 11 16:14:47 2015 +0100
    Commit:     Michael Stahl <mstahl@redhat.com>
    CommitDate: Wed Mar 11 16:50:00 2015 +0100
    
        utl::ConfigItem::Commit() should call ClearModified()
    
        Rename the virtual function, and add a new non-virtual Commit() to do
        that.
    
        Change-Id: I09421df781ba965d6ff638b46cd8214fb3a00022
Comment 7 Michael Stahl (CIB) 2015-08-19 22:37:39 UTC
fixed on master
Comment 8 Commit Notification 2015-08-19 22:38:27 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce0bba5fc1090caa7fb80f1bcc6ce64f67f11238

tdf#93451: svtools: don't commit SvtMenuOptions too early

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-08-20 09:16:59 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64291d696fe2bd8e6df70173ef1650ad72ed76e5&h=libreoffice-5-0

tdf#93451: svtools: don't commit SvtMenuOptions too early

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 10:31:06 UTC Comment hidden (obsolete)